Subject: [bug#30351] [PATCH] gnu: mcron2: Correct and enhance the wrap phase.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 12 Mar 2018 10:08:02 +0100

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi Maxim,
>>
>> Maxim Cournoyer <[email-masked]> skribis:
>>
>>> As a follow up to my previous patch to mcron2, this completes the wrap
>>> phases and fix a small issue where the mcron modules were installed to
>>> share/guile/site/2.0 instead of 2.2.
>>
>> Good catch.  I’ve committed that change separately.
>>
>> BTW, I encourage you to submit changes to [email-masked].  Mcron is
>> now maintained by Mathieu Lirzin, who is familiar with current Guile and
>> certainly interested in receiving improvements like this.
>>
>> (Another thing that should be done would be install .go files in
>> $libdir/guile/2.2/site-ccache.)
>
> It's already all fixed upstream! I verified myself. I guess we could
> poke Mathieu for a new release ;).

Definitely!  It’s great that Mathieu has taken care of all this.

>> So overall I think I’m arguing for the status quo.  Would that work for
>> you?
>
> I'm happy with status quo as well. Thanks for lending your sharp eyes to
> this review!

Heheh, you’re welcome.  I hope I’ll get around to adding that
‘with-extensions’ thing soonish, because ‘add-to-load-path’ is not as
convenient as we’d like.

Thanks,
Ludo’.